<?php

if( eregi(basename(__FILE__),$_SERVER['PHP_SELF']) )
{
    die("You can't access this file directly!");
}

createTables();

function createTables(){
	global $wowdb, $roster_conf, $wordings, $db_prefix;
	
	// Declare tables needed for RaidTracker
	$create_books = "CREATE TABLE `".$db_prefix."bookworm_books` (
					  `book_id` int(10) unsigned NOT NULL auto_increment,
					  `hash` varchar(15) NOT NULL default '',
					  `title` tinytext NOT NULL,
					  `num_pages` tinyint(3) unsigned NOT NULL default '0',
					  `material` tinytext NOT NULL,
					  `found_by` tinytext NOT NULL,
					  `zone` tinytext NOT NULL,
					  `subzone` tinytext NOT NULL,
					  `x` int(11) NOT NULL default '0',
					  `y` int(11) NOT NULL default '0',
					  PRIMARY KEY  (`book_id`),
					  UNIQUE KEY `noDUPES` (`hash`,`found_by`(254))
					) ENGINE=MyISAM;";
	
	$create_pages = "CREATE TABLE `".$db_prefix."bookworm_pages` (
					  `page_id` int(10) unsigned NOT NULL auto_increment,
					  `book_hash` varchar(15) NOT NULL default '',
					  `page_num` tinyint(4) unsigned NOT NULL default '0',
					  `text` text NOT NULL,
					  PRIMARY KEY  (`page_id`),
					  UNIQUE KEY `noDUPES` (`book_hash`,`page_num`)
					) ENGINE=MyISAM;";
	
	// Create tables declared above
	$tables = 0;
	if($wowdb->query($create_books) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$create_books)){
		$tables += 1;
	}
	if($wowdb->query($create_pages) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$create_pages)){
		$tables += 1;
	}
	if($tables == 2){
		echo border('syellow','start');
		echo '<table width="300px">';
		echo '<tr><td align="center">All tables successfully added</td></tr>';
		echo '<tr><td align="center"><a href="addon.php?roster_addon_name=bookworm">Finish installation</a></td></tr>';
		echo '</table>';
		echo border('syellow','end');
	}
}
?>